Package org.apache.sling.distribution.journal.messages

## Class PackageMessage

- java.lang.Object
- - org.apache.sling.distribution.journal.messages.PackageMessage

    public class PackageMessage
    extends Object

### Nested Class Summary

Nested Classes
`static class` `PackageMessage.ReqType`

### Constructor Summary

Constructors
`PackageMessage()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `toString()`
`String` `toString​(boolean abbreviate)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PackageMessage

    public PackageMessage()

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### toString

    public String toString​(boolean abbreviate)